Bug 187320 - [PATCH] net/trafshow: support staging
Summary: [PATCH] net/trafshow: support staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: alexey
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-06 17:20 UTC by Dmitry Marakasov
Modified: 2014-03-26 12:30 UTC (History)
1 user (show)

See Also:


Attachments
trafshow-5.2.3.patch (3.43 KB, patch)
2014-03-06 17:20 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2014-03-06 17:20:00 UTC
- Support staging
- Make extra patch for >= 8.x into a normal patch as it's used on all supported FreeBSD versions

Port maintainer (alexey@renatasystems.org) is cc'd.

Renamed files:
files/extra-patch-800074+ -> files/patch-800074+

Generated with FreeBSD Port Tools 1.00.2014.02.18 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-06 17:20:11 UTC
Maintainer of net/trafshow,

Please note that PR ports/187320 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187320

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-03-06 17:20:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 alexey freebsd_committer 2014-03-23 20:25:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alexey

I'll take it.
Comment 4 dfilter service freebsd_committer 2014-03-26 12:27:53 UTC
Author: alexey
Date: Wed Mar 26 12:27:50 2014
New Revision: 349246
URL: http://svnweb.freebsd.org/changeset/ports/349246
QAT: https://qat.redports.org/buildarchive/r349246/

Log:
  - Support STAGE
  - Make extra patch for >= 8.x into a normal patch as it's used on all supported
    FreeBSD versions
  
  PR:		ports/187320
  Submitted by:	Dmitry Marakasov <amdmi3@amdmi3.ru>
  Approved by:	wg (mentor)

Added:
  head/net/trafshow/files/patch-800074+   (contents, props changed)
Deleted:
  head/net/trafshow/files/extra-patch-800074+
Modified:
  head/net/trafshow/Makefile
  head/net/trafshow/pkg-plist

Modified: head/net/trafshow/Makefile
==============================================================================
--- head/net/trafshow/Makefile	Wed Mar 26 12:21:48 2014	(r349245)
+++ head/net/trafshow/Makefile	Wed Mar 26 12:27:50 2014	(r349246)
@@ -19,31 +19,17 @@ GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	PTHREAD_CFLAGS="${PTHREAD_CFLAGS}" PTHREAD_LIBS="${PTHREAD_LIBS}"
 ALL_TARGET=	trafshow
 
-MAN1=		trafshow.1
-
-OPTIONS_DEFINE=		IPV6
-
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
+OPTIONS_DEFINE=	IPV6
+IPV6_CFLAGS=	-DINET6
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|-D_THREAD_SAFE||' ${WRKSRC}/configure
 	@${REINPLACE_CMD} -e 's|/etc|${PREFIX}/etc|' \
 		${WRKSRC}/colormask.c ${WRKSRC}/trafshow.1 ${WRKSRC}/trafshow.c
-.if ${OSVERSION} >= 800074
-	@${PATCH} -d ${WRKSRC} < ${FILESDIR}/extra-patch-800074+
-.endif
-
-.if ${PORT_OPTIONS:MIPV6}
-CFLAGS+=	-DINET6
-.endif
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/trafshow ${PREFIX}/bin
-	${INSTALL_MAN} ${WRKSRC}/trafshow.1 ${PREFIX}/man/man1
-	${INSTALL_DATA} ${WRKSRC}/.trafshow ${PREFIX}/etc/trafshow.dist
-	if [ ! -e ${PREFIX}/etc/trafshow ]; then \
-		${CP} -p ${PREFIX}/etc/trafshow.dist ${PREFIX}/etc/trafshow; \
-	fi
+	${INSTALL_PROGRAM} ${WRKSRC}/trafshow ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_MAN} ${WRKSRC}/trafshow.1 ${STAGEDIR}${PREFIX}/man/man1
+	${INSTALL_DATA} ${WRKSRC}/.trafshow ${STAGEDIR}${PREFIX}/etc/trafshow.dist
 
 .include <bsd.port.mk>

Added: head/net/trafshow/files/patch-800074+
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/trafshow/files/patch-800074+	Wed Mar 26 12:27:50 2014	(r349246)
@@ -0,0 +1,23 @@
+#
+# http://lists.freebsd.org/pipermail/freebsd-ports/2009-March/053823.html
+#
+--- show_dump.c.orig	2009-03-29 23:18:16.000000000 +0400
++++ show_dump.c	2009-03-29 23:18:24.000000000 +0400
+@@ -30,6 +30,7 @@
+ #include <string.h>
+ #include <unistd.h>
+ #include <errno.h>
++#include <net/bpf.h>
+ #include <pcap.h>
+ #include <pthread.h>
+ #include <time.h>
+--- trafshow.c.orig	2009-03-29 23:18:49.000000000 +0400
++++ trafshow.c	2009-03-29 23:18:58.000000000 +0400
+@@ -30,6 +30,7 @@
+ #include <string.h>
+ #include <unistd.h>
+ #include <time.h>
++#include <net/bpf.h>
+ #include <pcap.h>
+ #include <pthread.h>
+ #include <errno.h>

Modified: head/net/trafshow/pkg-plist
==============================================================================
--- head/net/trafshow/pkg-plist	Wed Mar 26 12:21:48 2014	(r349245)
+++ head/net/trafshow/pkg-plist	Wed Mar 26 12:27:50 2014	(r349246)
@@ -2,3 +2,4 @@ bin/trafshow
 @unexec if cmp -s %D/etc/trafshow %D/etc/trafshow.dist; then rm -f %D/etc/trafshow; fi
 etc/trafshow.dist
 @exec if [ ! -e %D/etc/trafshow ]; then cp -p %D/%F %B/trafshow; fi
+man/man1/trafshow.1.gz
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 alexey freebsd_committer 2014-03-26 12:28:22 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!